openstack-mitaka is missing from your repository

Issues related to applications and software problems
Post Reply
elayaraja
Posts: 2
Joined: 2017/09/15 06:49:32

openstack-mitaka is missing from your repository

Post by elayaraja » 2017/09/15 06:54:53

Not sure suddenly this week you have updated your build repository by removing openstack-mitaka folder. We are depend on your build repository url http://mirror.centos.org/centos/7/cloud ... ack-mitaka

When you will be updating the site.

Regards,
ElayaRaja

User avatar
TrevorH
Forum Moderator
Posts: 22806
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: openstack-mitaka is missing from your repository

Post by TrevorH » 2017/09/15 08:14:58

Openstack Mitaka is EOL upstream and has been removed due to that reason. Once support from upstream devs stops, the packages will be removed from the repos or we we will be assisting in end users using out of date and insecure software. Openstack Newton goes EOL in October and will follow in due course.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
avij
Forum Moderator
Posts: 2513
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: openstack-mitaka is missing from your repository

Post by avij » 2017/09/15 08:15:47

Mitaka is EOL and is no longer maintained, thus it was removed from the mirrors. Please consider migrating to a newer release.

If you must use Mitaka, I would recommend copying the openstack-mitaka files into some local repository that you control. Note that mitaka will no longer get updates, and the files in this URL will be removed in a few weeks, along with all other 7.3.1611 content.

elayaraja
Posts: 2
Joined: 2017/09/15 06:49:32

Re: openstack-mitaka is missing from your repository

Post by elayaraja » 2017/09/20 12:40:15

I have already downloaded the rpm from http://mirror.centos.org/centos/7/cloud ... repomd.xml long time back

With this rpm i tired, but still its looking for external link and failed,

yum -d0 -e0 -y localinstall /tmp/openstack-heat-api-6.0.0-1.el7.noarch.rpm

failure: repodata/repomd.xml from openstack-mitaka: [Errno 256] No more mirrors to try.
http://mirror.centos.org/centos/7/cloud ... repomd.xml: [Errno 14] HTTP Error 404 - Not Found

it has dependencies with file openstack-heat-common = 1:6.0.0-1.el7

I have not downloaded the file from http://mirror.centos.org/centos/7/cloud ... repomd.xml

1) Instead of installing rpm file without depend on external website do we have other option ? I mean other than rpm ?
2) Not sure how to change the link from http://mirror.centos.org/centos/7/cloud ... repomd.xml
to http://mirror.centos.org/centos/7.3.161 ... ck-mitaka/

User avatar
TrevorH
Forum Moderator
Posts: 22806
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: openstack-mitaka is missing from your repository

Post by TrevorH » 2017/09/20 12:51:14

I'm not sure which bit of "it's EOL" is not easy to understand. EOL is End Of Life - that means the upstream provider no longer make fixees to it even for the most severe security vulnerabilities. We will not distribute EOL software past it EOL date. Update to a newer version.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

anilkumardahiya7
Posts: 1
Joined: 2017/10/24 12:11:03

Re: openstack-mitaka is missing from your repository

Post by anilkumardahiya7 » 2017/10/24 12:15:44

Hi,
Following repo is still active http://mirror.centos.org/centos/7.3.161 ... ck-mitaka/

You can use update baseurl to above mentioned link in CentOS-OpenStack-mitaka.repo file as shown below
[centos-openstack-mitaka]
name=CentOS-7 - OpenStack mitaka
#baseurl=http://mirror.centos.org/centos/7/cloud ... ck-mitaka/
baseurl=http://mirror.centos.org/centos/7.3.161 ... ck-mitaka/
gpgcheck=1
enabled=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Cloud


Hopefully, it should help you.

User avatar
avij
Forum Moderator
Posts: 2513
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: openstack-mitaka is missing from your repository

Post by avij » 2017/10/24 14:07:20

Everything below 7.3.1611 will be removed from mirrors in the near future, so the advice above won't work for long. Please update to a supported version.

Edit 25th: it's gone now.

Post Reply